import java.io.InputStream;
import java.io.IOException;
import java.util.Map;

public class ProcessBuilderTest2 {
    public static void main(String[] args) {
        try {
            ProcessBuilder builder = new ProcessBuilder("java", "Sample");
            Map<String, String> env = builder.environment();
            env.put("SAMPLE", "sample");

            Process process = builder.start();

            InputStream stream = process.getInputStream();
            while (true) {
                int c = stream.read();
                if (c == -1) {
                    stream.close();
                    break;
                }
                System.out.print((char)c);
            }
        } catch (IOException ex) {
            ex.printStackTrace();
        }
    }
}
